%define upstream_name Archive-Any-Lite
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Simple CPAN package extractor
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.760.0
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(IO::Uncompress::Bunzip2)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(Test::UseAllModules) >= 0.100.0
BuildArch:  noarch

%description
Simple CPAN package extractor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.110.0-4.mga9
+ Revision: 1802071
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-3.mga8
+ Revision: 1492803
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-2.mga7
+ Revision: 1265693
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 1010566
- update to 0.11

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-4.mga6
+ Revision: 947004
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 749361
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 661457
- update to 0.10

* Fri May 02 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 619432
- update to 0.09

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 531457
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 463448
- imported package perl-Archive-Any-Lite

